#
# spec file for package siga
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010-7/2011 Sascha Manns <saigkill@opensuse.org>
# Copyright (c) 8/2011 - now open-slx GmbH <Sascha.Manns@open-slx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _gitrev f692b3a

Name:           siga
Version:        12.101
Release:        9.3
Summary:        System Information GAthering
License:        GPL-2.0+
Group:          Documentation/SUSE
Url:            http://github.com/saigkill/siga
Source:         saigkill-%{name}-%{_gitrev}.tar.bz2
Requires:       w3m
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SIGA stands for System Information GAthering. It collects various
system information and outputs it in HTML or ASCII format. Since it
needs root permissions, you will be asked for the root password. It is
very handy as an information source during installation support phone
calls.

%prep
%setup -q -n saigkill-siga-%{_gitrev}

%build

%install
install -d %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_mandir}/man1
install -m 755 siga %{buildroot}/%{_bindir}
install -m 644 siga.1.gz %{buildroot}/%{_mandir}/man1/siga.1.gz

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG README
%{_bindir}/siga
%{_mandir}/man1/siga.1.gz

%changelog
* Thu Feb 16 2012 saschpe@suse.de
- Ran spec-cleaner
- Set SDPX-style license
* Thu Sep 15 2011 Sascha.Manns@open-slx.de
- updated to version 12.101
- updated manpage
* Mon Sep  5 2011 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX compatible syntax
* Fri Sep  2 2011 Sascha.Manns@open-slx.de
- updated to Version 12.100
- added Jens Koekes Changes
- Some minor changes to make some informations functional with actual
  openSUSE Versions
* Sun Dec 26 2010 saigkill@opensuse.org
- prettyfied the spec file
* Fri Jul  9 2010 Sascha.Manns@open-slx.de
- Released Version 11.000
- new header with own Bugtracker
* Tue Dec 29 2009 saigkill@opensuse.org
- repackaged for open-slx and Clients
* Sun Nov 12 2006 mlasars@suse.de
- added -soft option for non suse signed rpms (#220281)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  7 2005 mlasars@suse.de
- added -info option, siga can collect with this option some
  data as user
- kicked all edit and remote stuff
- fixed bug #136928 (PRINT_SYS, missing qoutes)
* Fri Aug 26 2005 mlasars@suse.de
- fixed security bug #106585
* Thu Aug  4 2005 mlasars@suse.de
- updated for 10.0
* Mon Mar  7 2005 mlasars@suse.de
- included /dev in all, modem, hw, net, cdr, dsl, isdn, usb(#67064)
* Fri Sep 17 2004 mlasars@suse.de
- for write_external
* Mon Sep  6 2004 mlasars@suse.de
- UTF-8 changes
- added debug to isdn-test
- added lspci without -vvv to lspci output
- using /proc/mounts instead of mount for mountpoints
- writing on external media or windows partition with siga write
- grepping firewall out of messages except for -net
* Mon Mar  8 2004 mlasars@suse.de
- cleaned up dsl & modem
- added modprobe.conf & local
* Mon Mar  1 2004 hmacht@suse.de
- building as nonroot-user
- fixing install permissions
* Mon Sep 15 2003 mlasars@suse.de
- fixed cups permissions (bug #30326)
* Mon Sep  8 2003 mlasars@suse.de
- fixed --help dsl text
- added providers to DSL
- added dhcp to NET
- added modules to X11
* Mon Feb 24 2003 mlasars@suse.de
- fixed and added mail stuff
- added option isdn-test
* Fri Feb 21 2003 mlasars@suse.de
- added cmdline in all, /proc/bus/usb/devices in -usb
- /etc/sysconfig/personal-firewall &
- /proc/sys/net/ipv4/ip_forward in -net -isdn & -dsl
- /etc/sysconfig/kernel in -cdr
- typo fix "choose" instead of chose
- new mail section
- new print-detect-only section
* Wed Jan 15 2003 mlasars@suse.de
- fixed wrong permissions in /etc/cups/cupsd.conf
- fixed wrong permissions in /usr/lib/cups/filter/cupsomatic
- fixed output for smpppd, filename was smppd instead of smpppd,
- changes in root restart, now su -c instead of su - -c
* Fri Jan 10 2003 draht@suse.de
- siga should not write to files in /tmp without precaution.
- minor cosmetic changes
- choice of files in summary adopted
  (siga-security.diff)
- specfile changes
* Thu Sep 12 2002 mlasars@suse.de
- fixed y2log location to /var/log/YaST2/, set version to 8.1
* Sat Sep  7 2002 mlasars@suse.de
- added needed grub files
- rccups restart only with -print option
* Mon Sep  2 2002 mlasars@suse.de
- test for lilo or grub as bootloader
- fix iptables, fix SuSEfirewall2
* Mon Aug 26 2002 mlasars@suse.de
-  added hwinfo --cdrom for -cdr, fixed cups stuff
* Mon Aug 19 2002 mlasars@suse.de
-  added -usb, dmesg output, main function
* Fri Mar 15 2002 mlasars@suse.de
- added output of /var/log/messages to -net & -isdn (bug #15018)
* Mon Mar 11 2002 mlasars@suse.de
- fixed kernel link, ifconfig instead of ifstatus (bug #14783)
* Mon Mar  4 2002 mlasars@suse.de
- fixed cups
- disabled sysp -c server (waits for input if 3D)
- fixed floppy copy
* Mon Feb 25 2002 mlasars@suse.de
- fixed printer stuff, added basic cups configs
- added cups files, fixed asciii convert - now uses w3m
- ascii convert now with lynx or w3m, added isdn files
- added manpage, fixed isdn & dsl files
* Mon Feb 18 2002 mlasars@suse.de
- added xdpyinfo, fixed pnpdump error
- added xf_links, hw_links
- fixed network stuff
* Wed Feb 13 2002 kukuk@suse.de
- Requires w3m, not lynx
* Mon Feb 11 2002 mlasars@suse.de
- added options
- new modem stuff, new head (now right numeric order)
- added save mode
* Mon Feb  4 2002 jsj@suse.de
- changed version number and copyright notice in spec file
* Fri Sep 14 2001 mlasars@suse.de
- default Browser now w3m
* Mon Sep 10 2001 ro@suse.de
- fixed sort order in changes file
- 1.004 fixes some /tmp/siga.html to $SIGA_OUT
- 1.005 clean up, add USERHOMEDIR
* Mon Aug 27 2001 jsj@suse.de
- uses sux - -c instead of sux -c
- fix sux - su
- added floppy option
- change userlang, read now from rc.config
* Fri Aug 10 2001 jsj@suse.de
- update to suit 7.3 needs (new version)
- fixed security information disclosure
- fixed problems on starting browser
* Wed May  9 2001 jsj@suse.de
- deleted unimportant entry apsfilterrc
- 2log file now external
- LANG fix
- all resp. Bugzilla #7928
* Mon Apr 30 2001 jsj@suse.de
- fixed bug in file accessing
- made selection of files a little more robust
- added checks to ensure files are really there
  (~/.xession-errors, /etc/apsfilterrc.*)
* Tue Apr 24 2001 jsj@suse.de
- cleaned up the code
- added some log files in display of files
* Thu Apr 12 2001 jsj@suse.de
- created package
